Loading...
Searching...
No Matches
websocketpp::transport::debug::error Namespace Reference

debug transport errors More...

## Classes

class | category
| debug transport error category More...

## Enumerations

enum | value { general = 1 , not_implemented , invalid_num_bytes , double_read }

## Functions

lib::error_category const & | get_category ()
| Get a reference to a static copy of the debug transport error category.
lib::error_code | make_error_code (error::value e)
| Get an error code with the given value and the debug transport category.

## Detailed Description

debug transport errors

## Enumeration Type Documentation

## value

enum websocketpp::transport::debug::error::value

Enumerator
general | Catch-all error for transport policy errors that don't fit in other categories
not_implemented | not implemented

Definition at line 44 of file base.hpp.

## Function Documentation

## get_category()

lib::error_category const & websocketpp::transport::debug::error::get_category | ( |  | ) |

inline

Get a reference to a static copy of the debug transport error category.

Definition at line 83 of file base.hpp.

## make_error_code()

lib::error_code websocketpp::transport::debug::error::make_error_code | ( | error::value | e | ) |

inline

Get an error code with the given value and the debug transport category.

Definition at line 89 of file base.hpp.